package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"sapfuncparam", "saptableparam"}
)
@XmlRootElement(
   name = "SAPFUNCTION"
)
public class SAPFUNCTION {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlElement(
      name = "SAPFUNCPARAM"
   )
   protected List<SAPFUNCPARAM> sapfuncparam;
   @XmlElement(
      name = "SAPTABLEPARAM"
   )
   protected List<SAPTABLEPARAM> saptableparam;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public List<SAPFUNCPARAM> getSAPFUNCPARAM() {
      if (this.sapfuncparam == null) {
         this.sapfuncparam = new ArrayList();
      }

      return this.sapfuncparam;
   }

   public List<SAPTABLEPARAM> getSAPTABLEPARAM() {
      if (this.saptableparam == null) {
         this.saptableparam = new ArrayList();
      }

      return this.saptableparam;
   }
}
